Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn more

View all

Sign in to view all badges

SOLVED

Java Script version is used

MarcelSzimonisz
Community Advisor
Community Advisor

Hello,

where I can find what JS version is used within adobe campaign classic?

Marcel

1 Accepted Solution
wodnicki
Correct answer by
Community Advisor
Community Advisor

Hi,

The libmozjs linked to Campaign Classic 8932 reports version 1.8.5, which maps to js 1.8.5[1] per Mozilla[2].

1: New in JavaScript 1.8.5 | MDN

2: SpiderMonkey 1.8.5 | MDN, SpiderMonkey 1.8 | MDN

Thanks,

-Jon

View solution in original post

5 Replies
Florian_Courgey
Community Advisor
Community Advisor

I got the same question.

For example String.padStart() is not available (String.prototype.padStart() | MDN ), we need to use a polyfill..

pablo_rosero1
Level 10
Level 10

Hi Marcel,

Campaign Classic uses SOAP.

SOAP methods in JavaScript

Hope this helps!

All the best,

Pablo

wodnicki
Correct answer by
Community Advisor
Community Advisor

Hi,

The libmozjs linked to Campaign Classic 8932 reports version 1.8.5, which maps to js 1.8.5[1] per Mozilla[2].

1: New in JavaScript 1.8.5 | MDN

2: SpiderMonkey 1.8.5 | MDN, SpiderMonkey 1.8 | MDN

Thanks,

-Jon

View solution in original post

MarcelSzimonisz
Community Advisor
Community Advisor

Is it you? the real and only adobe campaign senpai? thanks as always I have sent you linkedin request so you will know who i am.

wodnicki
Community Advisor
Community Advisor

Oh, hey Marcel . Yep here to answer q's on Adobe's forum, post them if you have them.